"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3420>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf34c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3560>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3600>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf36a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3740>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf37e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3880>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3920>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf39c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3a60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3b00>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3ba0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3c40>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3ce0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3d80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3e20>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3ec0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f558bcf3f60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98040>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa980e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98180>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98220>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa982c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98360>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98400>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa984a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98540>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa985e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98680>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98720>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa987c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98860>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98900>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa989a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98a40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98ae0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98b80>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98c20>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98cc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98d60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98e00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98ea0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98f40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa98fe0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99080>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99120>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa991c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99260>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99300>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa993a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99440>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa994e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99580>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99620>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa996c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99760>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99800>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa998a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99940>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa999e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99a80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99b20>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99bc0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99c60>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99d00>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99da0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99e40>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99ee0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa99f80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a020>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a0c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a160>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a200>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a2a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a340>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a3e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a480>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a520>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a5c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a700>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a660>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a7a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a840>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f558aa9a8e0>)]
name: str = 'fr_HOCCN'
